//index.js
//获取应用实例
import {get} from "../../common/request.js"
import pathmap from "../../common/pathmap"
import { retCartData} from "../../data/car"
const app = getApp()

Page({
  data: {
    banner:[],
    goodcars:[],
    recommended:[],
    like:[]
  },
  //事件处理函数
  bindViewTap: function() {
    wx.navigateTo({
      url: '../logs/logs'
    })
  },
  onLoad: function () {
    var _self = this;
    this.loadBanner();
    this.loadGoodCar();
    this.loadRecommendedCar();
    this.loadLikeCar();
  },
  loadBanner: function () {
    var _self = this;
    get(pathmap.banner, {
      terminal: 0
    }, function (json) {
      _self.setData({
        banner: json.data
      })
    })
  },
  loadGoodCar:function(){
    var _self = this;
    get(pathmap.goodcar, {
      offset: 0,
      limit:3
    }, function (json) {
      var list = json.data.list;
      if(list.length==1){
        list = list.concat(list,list);
      }
      _self.setData({
        goodcars: list
      })
    })
  },
  loadRecommendedCar:function(e){
    var _self = this;
    get(pathmap.recommended, {
      offset: 0,
      limit: 9
    }, function (json) {
      var list = retCartData(json.data.list)
      _self.setData({
        recommended: list
      })
    })
  },
  loadLikeCar:function(){
    var _self = this;
    get(pathmap.like, {
      offset: 0,
      limit: 10
    }, function (json) {
      var list = retCartData(json.data.list)
      _self.setData({
        like: list
      })
    })
  },
  switchTab: function (e) {
    var banner = this.data.banner;
    var i, item;
    for (i = 0; item = banner[i]; ++i) {
      item.selected = e.detail.current == i;
    }
    this.setData({
      banner: banner
    });
  },
  switchReTab:function(e){
    var recommended = this.data.recommended;
    var i, item;
    for (i = 0; item = recommended[i]; ++i) {
      item.selected = e.detail.current == i;
    }
    this.setData({
      recommended: recommended
    });
  }
})
